Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.configuration
Interface IIOPMBean

All Superinterfaces:
  ConfigurationMBean, weblogic.descriptor.DescriptorBean, DynamicMBean, MBeanRegistration, NotificationBroadcaster, weblogic.descriptor.SettableBean, weblogic.management.WebLogicMBean

public interface IIOPMBean
extends ConfigurationMBean

Configuration for IIOP properties.

### Deprecation of MBeanHome and Type-Safe Interfaces

This is a type-safe interface for a WebLogic Server MBean, which you can import into your client classes and access through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, client classes that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`int` | `getCompleteMessageTimeout()` Deprecated.
`String` | `getDefaultCharCodeset()` The standard character code set that this server will publish as its native code set.
`int` | `getDefaultMinorVersion()` The default GIOP (General Inter-ORB Protocol) version that this server will negotiate for incoming connections.
`String` | `getDefaultWideCharCodeset()` The wide character code set that this server will publish as its native code set.
`boolean` | `getEnableIORServlet()` Enable getior servlet used to publish COS Naming Service IORs
`int` | `getIdleConnectionTimeout()` The maximum number of seconds an IIOP connection is allowed to be idle before it is closed by the server.
`int` | `getMaxMessageSize()` Deprecated.
`String` | `getSystemSecurity()` Specify the value System Security.
`String` | `getTxMechanism()` The transaction mechanism used by IIOP invocations.
`boolean` | `getUseFullRepositoryIdList()` Specify whether to use full Repository ID lists when sending value type information for custom-marshaled types.
`boolean` | `getUseJavaSerialization()` Specity whether to use java serialization for marshalling objects.
`boolean` | `getUseSerialFormatVersion2()` Specify whether to advertise RMI objects and EJBs as supporting RMI-IIOP serial format version 2 for custom marshaled objects.
`boolean` | `getUseStatefulAuthentication()` Specify whether to advertise RMI objects and EJBs as supporting stateful CSIv2.
`void` | `setCompleteMessageTimeout(int seconds)` Deprecated. 8.1.0.0 use `NetworkAccessPointMBean.getCompleteMessageTimeout()`
`void` | `setDefaultCharCodeset(String codeset)` Set the value of the DefaultCharacterCodeset attribute.
`void` | `setDefaultMinorVersion(int minor)` Sets the value of the DefaultMinorVersion attribute.
`void` | `setDefaultWideCharCodeset(String codeset)` Set the value of the DefaultWideCharacterCodeset attribute.
`void` | `setEnableIORServlet(boolean flag)`
`void` | `setIdleConnectionTimeout(int seconds)` Deprecated. 8.1.0.0 use `NetworkAccessPointMBean.getIdleConnectionTimeout()`
`void` | `setMaxMessageSize(int maxsize)` Deprecated. 8.1.0.0 use `NetworkAccessPointMBean.getMaxMessageSize()`
`void` | `setSystemSecurity(String authValue)`
`void` | `setTxMechanism(String mech)` Sets the value of the TXMechanism attribute.
`void` | `setUseFullRepositoryIdList(boolean full)`
`void` | `setUseJavaSerialization(boolean use)`
`void` | `setUseSerialFormatVersion2(boolean full)`
`void` | `setUseStatefulAuthentication(boolean full)`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getName, getNotes, isSet, restoreDefaultValue, setComments, setDefaultedMBean, setName, setNotes, setPersistenceEnabled, unSet`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Method Detail

### getCompleteMessageTimeout

    public int getCompleteMessageTimeout()

  Deprecated.

  The maximum number of seconds spent waiting for a complete IIOP message to be received. This timeout helps guard against denial of service attacks in which a caller indicates that they will be sending a message of a certain size which they never finish sending.

  Returns:
    The completeMessageTimeout value

### getDefaultCharCodeset

    public String getDefaultCharCodeset()

  The standard character code set that this server will publish as its native code set. (Older ORBs may have trouble interoperating with anything other than the default.)

  Returns:
    The defaultCharCodeset value
  Default value:
    "US-ASCII"
  Legal values:
    "US-ASCII", "UTF-8", "ISO-8859-1"
  A configurable MBean attribute.

### getDefaultMinorVersion

    public int getDefaultMinorVersion()

  The default GIOP (General Inter-ORB Protocol) version that this server will negotiate for incoming connections. (You may have to modify the default to work with other vendor's ORBs.)

  This attribute is useful for client orbs with broken GIOP 1.2 implementations.

  Returns:
    The defaultMinorVersion value
  Default value:
    2
  Minimum value:
    0
  Maximum value:
    2
  A configurable MBean attribute.

### getDefaultWideCharCodeset

    public String getDefaultWideCharCodeset()

  The wide character code set that this server will publish as its native code set. (Older ORBs may have trouble interoperating with anything other than the default.)

  Returns:
    The defaultWideCharCodeset value
  Default value:
    "UCS-2"
  Legal values:
    "UCS-2", "UTF-16", "UTF-8", "UTF-16BE", "UTF-16LE"

### getEnableIORServlet

    public boolean getEnableIORServlet()

  Enable getior servlet used to publish COS Naming Service IORs

  Default value:
    false
  A configurable MBean attribute.
  A dynamic MBean attribute.
    false

### getIdleConnectionTimeout

    public int getIdleConnectionTimeout()

  The maximum number of seconds an IIOP connection is allowed to be idle before it is closed by the server. This timeout helps guard against server deadlock through too many open connections.

  Returns:
    The idleConnectionTimeout value

### getMaxMessageSize

    public int getMaxMessageSize()

  Deprecated.

  The maximum IIOP message size allowable in a message header. This attribute attempts to prevent a denial of service attack whereby a caller attempts to force the server to allocate more memory than is available thereby keeping the server from responding quickly to other requests.

  Returns:
    The maxMessageSize value

### getSystemSecurity

    public String getSystemSecurity()

  Specify the value System Security. The following variables are affected. clientCertAuthentication, clientAuthentication, identityAssertion confidentiality, integrity. The value set in this MBean would only be picked up if the value set in RTD.xml is "config".

  Returns:
    The System Security value
  Default value:
    "supported"
  Legal values:
    "none", "supported", "required"
  A configurable MBean attribute.

### getTxMechanism

    public String getTxMechanism()

  The transaction mechanism used by IIOP invocations. The default is the Object Transaction Service (OTS) required by J2EE 1.3.

  Returns:
    The txMechanism value
  Default value:
    "OTS"
  Legal values:
    "OTS","JTA", "OTSv11", "none"
  A configurable MBean attribute.

### getUseFullRepositoryIdList

    public boolean getUseFullRepositoryIdList()

  Specify whether to use full Repository ID lists when sending value type information for custom-marshaled types. Full Repository ID lists allow C++ ORBS to truncate values to base types. For RMI-IIOP and Java ORBs doing this merely increases transmission overhead. JDK ORBs are known to have problems with these so setting this will prevent JDK ORB access from working.

  Returns:
    The useFullRepositoyIdList value
  Default value:
    false
  A configurable MBean attribute.

### getUseJavaSerialization

    public boolean getUseJavaSerialization()

  Specity whether to use java serialization for marshalling objects. Setting this property improves performance when marshalling objects with very large object graphs.

  Returns:
    The useJavaSerialization value
  Default value:
    false
  A configurable MBean attribute.
  A dynamic MBean attribute.

### getUseSerialFormatVersion2

    public boolean getUseSerialFormatVersion2()

  Specify whether to advertise RMI objects and EJBs as supporting RMI-IIOP serial format version 2 for custom marshaled objects.

  Returns:
    The useSerialFormatVersion2 property
  Default value:
    false
  A configurable MBean attribute.

### getUseStatefulAuthentication

    public boolean getUseStatefulAuthentication()

  Specify whether to advertise RMI objects and EJBs as supporting stateful CSIv2. Stateful CSIv2 is more efficient than stateless, requiring only a single authentication step for each remote principal. Stateless CSIv2 requires per-request authentication. Stateful CSIv2 is not required by J2EE 1.3 and so some ORBs do not support it. Stateful CSIv2 is enabled by default. This property can be changed at the object-level by changing the object's <stateful-authentication> runtime descriptor property.

  Returns:
    The statefulAuthentication property
  Default value:
    true
  A configurable MBean attribute.
  A dynamic MBean attribute.

### setCompleteMessageTimeout

    public void setCompleteMessageTimeout(int seconds)
                                   throws InvalidAttributeValueException,
                                          weblogic.management.DistributedManagementException

  Deprecated. 8.1.0.0 use `NetworkAccessPointMBean.getCompleteMessageTimeout()`

  Sets the value of the CompleteMessageTimeout attribute.

  Parameters:
    `seconds` - The new completeMessageTimeout value
  Throws:
    `InvalidAttributeValueException`
    `weblogic.management.DistributedManagementException`
  See Also:
    `getCompleteMessageTimeout()`
  Default value:
    -1
  Minimum value:
    -1
  Maximum value:
    480
  A configurable MBean attribute.
  A dynamic MBean attribute.

### setDefaultCharCodeset

    public void setDefaultCharCodeset(String codeset)
                               throws InvalidAttributeValueException,
                                      weblogic.management.DistributedManagementException

  Set the value of the DefaultCharacterCodeset attribute.

  Parameters:
    `codeset` - The new defaultCharCodeset value
  Throws:
    `InvalidAttributeValueException`
    `weblogic.management.DistributedManagementException`
  See Also:
    `#getDefaultCharacterCodeset`
  A configurable MBean attribute.

### setDefaultMinorVersion

    public void setDefaultMinorVersion(int minor)
                                throws InvalidAttributeValueException,
                                       weblogic.management.DistributedManagementException

  Sets the value of the DefaultMinorVersion attribute.

  Parameters:
    `minor` - The new defaultMinorVersion value
  Throws:
    `InvalidAttributeValueException`
    `weblogic.management.DistributedManagementException`
    `IllegalArgumentException` - if the argument is null or represents a negative int.
  See Also:
    `getDefaultMinorVersion()`
  A configurable MBean attribute.

### setDefaultWideCharCodeset

    public void setDefaultWideCharCodeset(String codeset)
                                   throws InvalidAttributeValueException,
                                          weblogic.management.DistributedManagementException

  Set the value of the DefaultWideCharacterCodeset attribute.

  Parameters:
    `codeset` - The new defaultWideCharCodeset value
  Throws:
    `InvalidAttributeValueException`
    `weblogic.management.DistributedManagementException`
  See Also:
    `#getDefaultWideCharacterCodeset`

### setEnableIORServlet

    public void setEnableIORServlet(boolean flag)

### setIdleConnectionTimeout

    public void setIdleConnectionTimeout(int seconds)
                                  throws InvalidAttributeValueException,
                                         weblogic.management.DistributedManagementException

  Deprecated. 8.1.0.0 use `NetworkAccessPointMBean.getIdleConnectionTimeout()`

  Sets the value of the IdleConnectionTimeout attribute.

  Parameters:
    `seconds` - The new idleConnectionTimeout value
  Throws:
    `InvalidAttributeValueException`
    `weblogic.management.DistributedManagementException`
  See Also:
    `getIdleConnectionTimeout()`
  Default value:
    -1
  Minimum value:
    -1
  A configurable MBean attribute.
  A dynamic MBean attribute.

### setMaxMessageSize

    public void setMaxMessageSize(int maxsize)
                           throws InvalidAttributeValueException,
                                  weblogic.management.DistributedManagementException

  Deprecated. 8.1.0.0 use `NetworkAccessPointMBean.getMaxMessageSize()`

  Sets the value of the MaxMessageSize attribute.

  Parameters:
    `maxsize` - The new maxMessageSize value
  Throws:
    `InvalidAttributeValueException`
    `weblogic.management.DistributedManagementException`
  See Also:
    `getMaxMessageSize()`
  Default value:
    -1
  A configurable MBean attribute.

### setSystemSecurity

    public void setSystemSecurity(String authValue)
                           throws InvalidAttributeValueException,
                                  weblogic.management.DistributedManagementException

  Throws:
    `InvalidAttributeValueException`
    `weblogic.management.DistributedManagementException`

### setTxMechanism

    public void setTxMechanism(String mech)
                        throws InvalidAttributeValueException,
                               weblogic.management.DistributedManagementException

  Sets the value of the TXMechanism attribute.

  Parameters:
    `mech` - The new txMechanism value
  Throws:
    `InvalidAttributeValueException`
    `weblogic.management.DistributedManagementException`
  See Also:
    `#getTXMechanism`

### setUseFullRepositoryIdList

    public void setUseFullRepositoryIdList(boolean full)
                                    throws InvalidAttributeValueException,
                                           weblogic.management.DistributedManagementException

  Throws:
    `InvalidAttributeValueException`
    `weblogic.management.DistributedManagementException`

### setUseJavaSerialization

    public void setUseJavaSerialization(boolean use)
                                 throws InvalidAttributeValueException,
                                        weblogic.management.DistributedManagementException

  Throws:
    `InvalidAttributeValueException`
    `weblogic.management.DistributedManagementException`

### setUseSerialFormatVersion2

    public void setUseSerialFormatVersion2(boolean full)
                                    throws InvalidAttributeValueException,
                                           weblogic.management.DistributedManagementException

  Throws:
    `InvalidAttributeValueException`
    `weblogic.management.DistributedManagementException`

### setUseStatefulAuthentication

    public void setUseStatefulAuthentication(boolean full)
                                      throws InvalidAttributeValueException,
                                             weblogic.management.DistributedManagementException

  Throws:
    `InvalidAttributeValueException`
    `weblogic.management.DistributedManagementException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD